.img-holder {
  position: relative;
}
.img-holder::before {
  content: '';
  display: block;
  padding-bottom: 100%;
  width: 100%;
}
.img--desktop {
  display: none;
  @media (--xs) {
    display: block;
  }
}
.img--mobile {
  display: block;
  @media (--xs) {
    display: none;
  }
}
.img,
.img.fit-cover .img__el,
.img.fit-contain .img__el {
  bottom: 0;
  height: 100%;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  z-index: 0;
}
.img.fit-cover {
  .img__el {
    object-fit: cover;
  }

  .img__el--ie {
    background-size: cover;
  }
}
.img.fit-contain {
  .img__el {
    object-fit: contain;
  }

  .img__el--ie {
    background-size: contain;
  }
}
.img.is-loaded .img__el,
.img .img__el.is-fallback {
  opacity: 1;
  visibility: visible;
}
.img__el {
  opacity: 0;
  transition: opacity 0.2s ease, opacity 0.2s ease;
  visibility: hidden;
  z-index: 2;

  &.img__el--ie {
    background-position: center;
    background-repeat: no-repeat;
  }
}
